summaryrefslogtreecommitdiff
path: root/regress/usr.bin
diff options
context:
space:
mode:
authorDamien Miller <djm@cvs.openbsd.org>2010-12-04 00:21:20 +0000
committerDamien Miller <djm@cvs.openbsd.org>2010-12-04 00:21:20 +0000
commit40bd09903e8529ae64dc54021e633c26bb8cae7b (patch)
tree174d9c54ec44ce84afe22fba1c8980d8f4dee5e3 /regress/usr.bin
parent3bf9288cc7c36161011d1f665b678d5914f7d6ed (diff)
adjust for hard-link support
Diffstat (limited to 'regress/usr.bin')
-rw-r--r--regress/usr.bin/ssh/sftp-cmds.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/regress/usr.bin/ssh/sftp-cmds.sh b/regress/usr.bin/ssh/sftp-cmds.sh
index d61e298cda9..d94d348aeb5 100644
--- a/regress/usr.bin/ssh/sftp-cmds.sh
+++ b/regress/usr.bin/ssh/sftp-cmds.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: sftp-cmds.sh,v 1.10 2009/08/13 01:11:55 djm Exp $
+# $OpenBSD: sftp-cmds.sh,v 1.11 2010/12/04 00:21:19 djm Exp $
# Placed in the Public Domain.
# XXX - TODO:
@@ -185,7 +185,13 @@ test -d ${COPY}.dd2 || fail "missing newname after rename directory"
verbose "$tid: ln"
echo "ln ${COPY}.1 ${COPY}.2" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 || fail "ln failed"
-test -L ${COPY}.2 || fail "missing file after ln"
+test -f ${COPY}.2 || fail "missing file after ln"
+cmp ${COPY}.1 ${COPY}.2 || fail "created file is not equal after ln"
+
+verbose "$tid: ln -s"
+rm -f ${COPY}.2
+echo "ln -s ${COPY}.1 ${COPY}.2" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 || fail "ln -s failed"
+test -L ${COPY}.2 || fail "missing file after ln -s"
verbose "$tid: mkdir"
echo "mkdir ${COPY}.dd" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 \